|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# AvailableSizesArgument Class Reference
(QIconEngineV2::AvailableSizesArgument)
[QtGui module]

     #include <QIconEngineV2>

This class was introduced in Qt 4.5.

- List of all members, including inherited members

### Public Variables

- QIcon::Mode mode
- QList<QSize> sizes
- QIcon::State state

## Detailed Description

This struct represents arguments to virtual_hook() function when id parameter is QIconEngineV2::AvailableSizesHook.

See also virtual_hook() and QIconEngineV2::IconEngineHook.

## Member Variable Documentation

### QIcon::Mode AvailableSizesArgument::mode

This variable holds the requested mode of an image.

See also QIcon::Mode.

### QList<QSize> AvailableSizesArgument::sizes

This variable holds image sizes that are available with specified mode and state. This is an output parameter and is filled after call to virtual_hook(). Engines that work in terms of a scalable, vectorial format normally return an empty list.

### QIcon::State AvailableSizesArgument::state

This variable holds the requested state of an image.

See also QIcon::State.